clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::diff::SNodeId Struct Reference

Identifies a node in a subtree by its postorder offset, starting at 1. More...

Collaboration diagram for clang::diff::SNodeId:
[legend]

## Public Member Functions
| SNodeId (int Id)
| SNodeId ()=default
| operator int () const
SNodeId & | operator++ ()
SNodeId & | operator-- ()
SNodeId | operator+ (int Other) const

## Public Attributes
int | Id = 0

## Detailed Description

Identifies a node in a subtree by its postorder offset, starting at 1.

Definition at line 473 of file ASTDiff.cpp.

## Constructor & Destructor Documentation

## ◆ SNodeId() [1/2]

clang::diff::SNodeId::SNodeId | ( | int | Id | ) |
| inline explicit

Definition at line 476 of file ASTDiff.cpp.

## ◆ SNodeId() [2/2]

clang::diff::SNodeId::SNodeId | ( |  | ) |
| explicit default

## Member Function Documentation

## ◆ operator int()

clang::diff::SNodeId::operator int | ( |  | ) | const
| inline

Definition at line 479 of file ASTDiff.cpp.

References Id.

## ◆ operator+()

SNodeId clang::diff::SNodeId::operator+ | ( | int | Other | ) | const
| inline

Definition at line 482 of file ASTDiff.cpp.

## ◆ operator++()

SNodeId& clang::diff::SNodeId::operator++ | ( |  | ) |
| inline

Definition at line 480 of file ASTDiff.cpp.

References Id.

## ◆ operator--()

SNodeId& clang::diff::SNodeId::operator-- | ( |  | ) |
| inline

Definition at line 481 of file ASTDiff.cpp.

References Id.

## Member Data Documentation

## ◆ Id

int clang::diff::SNodeId::Id = 0

Definition at line 474 of file ASTDiff.cpp.

The documentation for this struct was generated from the following file:

- lib/Tooling/ASTDiff/ASTDiff.cpp